import { BoardGameState, Game } from "../types";
interface ChessState extends BoardGameState {
}
declare class ChessGame implements Game<ChessState> {
    constructor(initialState?: ChessState);
    getAllNextStates(state: ChessState): Array<ChessState>;
    getHeuristic(state: ChessState): number;
    initialState: ChessState;
}
export default ChessGame;
export { ChessState };
