export interface BoardGameState {
    player1Turn: boolean;
}
export interface Game<State extends BoardGameState> {
    initialState: State;
    getAllNextStates: (state: State) => Array<State>;
    getHeuristic: (state: State) => number;
}
export interface Continuation<State> {
    evaluation: number;
    state: State;
}
